Package com.sun.jna.platform.win32

# Class WinCrypt.CTL_ENTRY

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinCrypt.CTL_ENTRY

Direct Known Subclasses:
  `WinCrypt.CTL_ENTRY.ByReference`

Enclosing interface:
  WinCrypt

@FieldOrder({"SubjectIdentifier","cAttribute","rgAttribute"}) public static class WinCrypt.CTL_ENTRY extends Structure
The CTL_ENTRY structure is an element of a certificate trust list (CTL).

See Also:
  - MSDN

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinCrypt.CTL_ENTRY.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cAttribute`
  `Pointer`
  `rgAttribute`
  `WinCrypt.DATA_BLOB`
  `SubjectIdentifier`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CTL_ENTRY()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinCrypt.CRYPT_ATTRIBUTE[]`
  `getRgAttribute()`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SubjectIdentifier

    public WinCrypt.DATA_BLOB SubjectIdentifier

  - ### cAttribute

    public int cAttribute

  - ### rgAttribute

    public Pointer rgAttribute

- ## Constructor Details

  - ### CTL_ENTRY

    public CTL_ENTRY()

- ## Method Details

  - ### getRgAttribute

    public WinCrypt.CRYPT_ATTRIBUTE[] getRgAttribute()